Bug Hunting Session
Bug 60740 - Too slow to export file with lots of cells with multi-line contents.
Summary: Too slow to export file with lots of cells with multi-line contents.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.1.2 release
Hardware: All All
: high major
Assignee: Kohei Yoshida
URL:
Whiteboard: target:4.2.0
Keywords: perf
Depends on:
Blocks:
 
Reported: 2013-02-12 17:32 UTC by Daniel Szabo
Modified: 2015-12-15 11:36 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Szabo 2013-02-12 17:32:57 UTC
This is the report of the same regression problem as in Bug 54638 but with respect to the export function. Comments in Bug 54638 indicate that everyone is having performance problems both with opening and saving ods files.

How to reproduce the problem:

1. create a new spreadsheet
2. enter a 10 lines long multiline text into cell A1 containing the word "libreoffice" in all lines
3. copy/paste A1 to B1:N1
4. copy/paste row 1 to row 1-100
You will have a spreadsheet of 14x100 cells containing the same multiline text.

Now, saving the spreadsheet takes
2 secs in LO3.4
33 secs in LO3.6
Comment 1 8472 2013-02-12 19:03:11 UTC
As the creator of the related and today fixed bug Bug 54638, I also request to continue as was mentioned https://bugs.freedesktop.org/show_bug.cgi?id=54638#c14
Comment 2 8472 2013-03-10 22:06:16 UTC
Have just upgraded from the 3.6.* up to latest 4.* , and the saving now takes a lot more time than ever before.
While before, with 3.6.*, it took me to save my data about 2-4 minutes.
Now with 4.*, it might be 15-20 minutes!!!
Horrible!
Comment 3 Commit Notification 2013-08-21 23:30:25 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=21661ebfbec9ea162582bbc7ab46607eb9095f1a

fdo#60740: Populate auto styles from edit cells without using UNO API.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Kohei Yoshida 2013-08-25 18:55:10 UTC
This is now fixed. The speed of ods export in this specific use case should be much quicker in 4.2.
Comment 5 Commit Notification 2013-08-25 18:57:26 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=882bee5ede38b6ed4e1ec870d835546868c6586d

fdo#60740: Export edit cells to ods without using UNO API.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-08-25 18:57:46 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d81b56c7f679477fed471f8150e1b95e6902e249

fdo#60740: Handle empty paragraphs correctly.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-08-25 18:58:05 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a8bf709911f84492624d8ebb12cb0d92bc2ee730

fdo#60740: Export cell field items without using UNO API.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2013-08-25 18:58:24 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d5d96b15551fb685a99a4ee4217a152e00bc0dbf

fdo#60740: Export multi-line formula results to ods without UNO API.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Kohei Yoshida 2013-08-26 17:43:54 UTC
Blogged about it: http://kohei.us/2013/08/26/speedier-export-of-rich-text-cells/
Comment 10 8472 2013-09-01 16:43:35 UTC
Impressive!
I've tested it from the daily builds and in the VM so far only, but the save/export performance seemed to be bit more effective than your other load/import fix in Bug 54638.
Thanks!!!
Comment 11 Robinson Tryon (qubit) 2015-12-15 11:36:20 UTC
Migrating Whiteboard tags to Keywords: (perf)
[NinjaEdit]